aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.circleci/test_spm.sh30
1 files changed, 14 insertions, 16 deletions
diff --git a/.circleci/test_spm.sh b/.circleci/test_spm.sh
index 104e8fb..bd9e19e 100755
--- a/.circleci/test_spm.sh
+++ b/.circleci/test_spm.sh
@@ -18,27 +18,25 @@ spm --list
spm --search zlib
-if [[ $(uname -s) == Linux ]]; then
- spm --verbose --yes --root $PREFIX --install python
+spm --verbose --yes --root $PREFIX --install python
- set +x
- echo ACTIVATING ROOT: $PREFIX
- spm --cmd mkruntime $PREFIX > $PREFIX/bin/activate || exit 1
- source $PREFIX/bin/activate || exit 1
- echo OK!
- set -x
+set +x
+echo ACTIVATING ROOT: $PREFIX
+spm --cmd mkruntime $PREFIX > $PREFIX/bin/activate || exit 1
+source $PREFIX/bin/activate || exit 1
+echo OK!
+set -x
- which python3
+which python3
- python3 -V
+python3 -V
- python3 -c 'from sysconfig import get_config_vars; from pprint import pprint; pprint(get_config_vars())'
+python3 -c 'from sysconfig import get_config_vars; from pprint import pprint; pprint(get_config_vars())'
- python3 -m ensurepip
+python3 -m ensurepip
- pip3 --version
+pip3 --version
- pip3 install --upgrade pip setuptools
+pip3 install --upgrade pip setuptools
- pip3 --version
-fi
+pip3 --version